Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 35050

Summary: rewrite default implementation of Registry to use Convertors API
Product: platform Reporter: David Konecny <dkonecny>
Component: -- Other --Assignee: David Konecny <dkonecny>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2    
Version: 3.x   
Target Milestone: 3.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: TASK Exception Report:
Bug Depends on: 36347    
Bug Blocks:    

Description David Konecny 2003-07-22 10:14:40 UTC
SUBJ says all. See DS redesign plan for more
details
(<http://openide.netbeans.org/proposals/loaders/plan.html>).
Comment 1 David Konecny 2003-08-05 15:48:45 UTC
Part of this issue is also solving how existing usecases will work
work in new Registry+Convertor scenario.

Concrete problematic usecases are:
* projects are using FileObject passed in old convertor's lookup to
learn the project
* Looks API needs relative references from definition of the instance
to some other context/binding
Comment 2 David Konecny 2003-09-29 17:29:44 UTC
Created tag registry_35050_root and branch from the tag registry_35050.
Comment 3 David Konecny 2003-10-02 12:51:17 UTC
*** Issue 30632 has been marked as a duplicate of this issue. ***
Comment 4 David Konecny 2003-10-06 14:53:50 UTC
Finished on branch.
Comment 5 rmatous 2003-11-27 09:32:41 UTC
Implemented on branch registry_35050  and bacported into trunk:

  Log:
  registry_35050 merged into trunk

  Added:       registry/src/org/netbeans/core/registry
ContextBindings.java
                        DefaultConvertor.java FileSystemListener.java
                        ObjectBinding.java ObjectRefConvertor.java
                        StateUpdater.java
               registry/src/org/netbeans/core/registry/oldformats
                        InstanceConvertor.java InstanceUtils.java
                        SerialDataConvertor.java
               registry/test/unit/src/org/netbeans/core/registry
                        ExternalModificationTest.java GCTest.java
              
registry/test/unit/src/org/netbeans/core/registry/cdconvertor
                        CD.java CDConvertor.java CDConvertorTest.java
              
registry/test/unit/src/org/netbeans/core/registry/cdconvertor/data
                        cd1.xml layer.xml
               registry/test/unit/src/org/netbeans/core/registry/data
                        gctest_cd1.xml layer_gctest.xml
              
registry/test/unit/src/org/netbeans/core/registry/enabledisabletest
                        EnableDisableTest.java ModuleUtils.java
              
registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data
                        .cvsignore book1.xml book2.xml bookmodule.mf
                        build.xml cd1.xml cd2.xml cdmodule.mf
                        module_layer.xml
              
registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/bookmodule/org/bookmodule
                        Book.java
              
registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/cdmodule/org/cdmodule
                        CD.java CDConvertor.java
              
registry/test/unit/src/org/netbeans/core/registry/instanceconv
                        CD.java InstanceConvertorTest.java
              
registry/test/unit/src/org/netbeans/core/registry/instanceconv/data
                        layer.xml
              
registry/test/unit/src/org/netbeans/core/registry/serialdataconv
                        SerialDataConvertorTest.java SerializableCD.java
              
registry/test/unit/src/org/netbeans/core/registry/serialdataconv/data
                        layer.xml serializable-cd1.xml
serializable-cd2.xml
                        serializable-cd3.xml
  Removed:     registry/src/org/netbeans/core/registry Listener.java
               registry/src/org/netbeans/core/registry/olddsimpl
                        DSListener.java DSUtils.java ObjectBindings.java
  
Changed:
http://core.netbeans.org/source/browse/core/registry/build.xml.diff?r1=1.12&r2=1.13
http://core.netbeans.org/source/browse/core/registry/manifest.mf.diff?r1=1.7&r2=1.8
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/api/registry/fs/FileSystemContextFactory.java.diff?r1=1.3&r2=1.4
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/ContextImpl.java.diff?r1=1.19&r2=1.20
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/ResettableContextImpl.java.diff?r1=1.2&r2=1.3
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/ResettableRootContextImpl.java.diff?r1=1.3&r2=1.4
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/RootContextImpl.java.diff?r1=1.5&r2=1.6
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/ContextBindings.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/DefaultConvertor.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/FileSystemListener.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/ObjectBinding.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/ObjectRefConvertor.java.diff?r1=1.1&r2=1.2
 
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/StateUpdater.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/oldformats/InstanceConvertor.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/oldformats/InstanceUtils.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/src/org/netbeans/core/registry/oldformats/SerialDataConvertor.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/build.xml.diff?r1=1.4&r2=1.5
http://core.netbeans.org/source/browse/core/registry/test/unit/src/META-INF/MANIFEST.MF.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/BindingTest.java.diff?r1=1.2&r2=1.3
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/ConvertedObjectTest.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/OrderingTest.java.diff?r1=1.2&r2=1.3
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/ResettableTest.java.diff?r1=1.2&r2=1.3
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/ExternalModificationTest.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/GCTest.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/cdconvertor/CD.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/cdconvertor/CDConvertor.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/cdconvertor/CDConvertorTest.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/cdconvertor/data/cd1.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/cdconvertor/data/layer.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/convertors/TestBean.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/data/layer_defaults.xml.diff?r1=1.2&r2=1.3
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/data/gctest_cd1.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/data/layer_gctest.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/EnableDisableTest.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/ModuleUtils.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/.cvsignore.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/book1.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/book2.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/bookmodule.mf.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/build.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/cd1.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/cd2.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/cdmodule.mf.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/module_layer.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/bookmodule/org/bookmodule/Book.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/cdmodule/org/cdmodule/CD.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/enabledisabletest/data/cdmodule/org/cdmodule/CDConvertor.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/instanceconv/CD.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/instanceconv/InstanceConvertorTest.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/instanceconv/data/layer.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/serialdataconv/SerialDataConvertorTest.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/serialdataconv/SerializableCD.java.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/serialdataconv/data/layer.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/serialdataconv/data/serializable-cd1.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/serialdataconv/data/serializable-cd2.xml.diff?r1=1.1&r2=1.2
http://core.netbeans.org/source/browse/core/registry/test/unit/src/org/netbeans/core/registry/serialdataconv/data/serializable-cd3.xml.diff?r1=1.1&r2=1.2
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo